package com.huigou.topsun.proofing.domain.model;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 打样BOM
 * @TableName proofing_apply_bom
 */
@Table(name="proofing_apply_bom")
@Data
public class ProofingApplyBom implements Serializable {
    /**
     * 打样申请单BOMid
     */
    @Id
    @Column(name = "proofing_apply_bom_id")
    private String proofingApplyBomId;

    /**
     * 产品物料组成id
     */
    @Column(name = "product_material_id")
    private String productMaterialId;

    /**
     * 打样申请单id
     */
    @Column(name = "proofing_apply_id")
    private String proofingApplyId;

    /**
     * 打样制作单id
     */
    @Column(name = "proofing_make_id")
    private String proofingMakeId;

    private static final long serialVersionUID = 1L;
}