package com.huigou.topsun.proofing.domain.vo;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 作业指导申请书
 *
 */
@Data
public class WorkInstrcutionApplyVo implements Serializable {
    /**
     * 作业指导申请书id
     */
    private String workInstrcutionApplyId;

    /**
     * 打样制作单id
     */
    private String proofingMakeId;

    /**
     * 产品id
     */
    private String productId;



    /**
     * 规格书编号
     */
    private String specificationNo;


    /**
     * 产品类型
     */
    private String a;

    /**
     * 品牌
     */
    private String b;

    /**
     * 采购单位
     */
    private String c;


    /**
     * 换算值
     */
    private Integer matrixingValue;

    /**
     * 产品名称
     */
    private String productName;


    /**
     * 仓库
      */
    private String x;

    /**
     * 尺码组
     */
    private String sizeGroup;

    /**
     * 是否禁用
     */
    private String isDisable;

    /**
     * 是否创建新规格书
     */
    private String isNewSpecification;

    /**
     * 是否要鞋图
     */
    private String isShoePattern;

    /**
     * 是否附样品
     */
    private String isAttachedSample;

    /**
     * 是否为唯一码产品
     */
    private String isOnlyCode;

    /**
     * 是否不考虑形体配色
     */
    private String isBodyColor;

    private static final long serialVersionUID = 1L;
}