<%@ page contentType="text/html; charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="date,layout,grid,combox,tree,comboDialog,attachment"/>
    <x:script src="/biz/topsun/quotation/quotationDetail.js"/>
</head>
<body>
<div class="container-fluid">
    <x:billTitle title="报价需求单" needStatus="false" needPerson="true"/>
    <div class="blank_div clearfix"></div>
    <form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="id" id="quotationId"/>
        <x:hidden name="productIds"/>
        <x:hidden name="billCode"/>
        <x:hidden name="fillinDate"/>
        <x:hidden name="fullId"/>
        <x:hidden name="organId"/>
        <x:hidden name="organName"/>
        <x:hidden name="deptId"/>
        <x:hidden name="deptName"/>
        <x:hidden name="positionId"/>
        <x:hidden name="positionName"/>
        <x:hidden name="personMemberId"/>
        <x:hidden name="personMemberName"/>
        <div class="hg-form-cols">
            <div class="hg-form-row">
                <x:selectC name="quotationType" label="报价单类型"  dictionary="quotationType" labelCol="1" fieldCol="2"/>
                <x:inputC name="quotationNo" label="报价单号" readonly="true" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="customerManagerId"  label="客户名称"  labelCol="1" fieldCol="2"/>
            </div>
        </div>
        <x:title title="BOM信息" name="group" hideTable="#info" />
        <div id="bomGrid" style="margin: 2px;"></div>

        <x:title title="工艺信息" name="group" hideTable="#info" />
        <div id="technologyGrid" style="margin: 2px;"></div>
    </form>
</div>
</body>
</html>